MANPATH(1)

NUME
manpath - determină ruta de căutare pentru paginile de manual

SINOPSIS
manpath [-qgdc?V] [-m sistem[,...]] [-C fișier]

DESCRIERE
Dacă $MANPATH este stabilită, manpath va afișa pur și simplu conținutul și va emite un avertisment. Dacă nu, manpath va determina o rută de căutare potrivită pentru ierarhia paginilor de manual, și va afișa rezultatele.

Ruta delimitată de două puncte este determinată utilizând informații obținute din fișierul de configurare man-db – (/etc/manpath.config) și din mediul utilizatorului.

OPȚIUNI

-q, --quiet
    Nu emite avertismente.

-d, --debug
    Imprimă informațiile de depanare.

-c, --catpath
    Produce o rută «cat» spre deosebire de o rută «man». Odată ce ruta «man» este determinată, fiecare element al rutei este convertit în rută «cat» relativă.

-g, --global
    Produce o rută «man» care consistă din toate rutele numite ca „globale” înăuntrul fișierului de configurare «man-db».

-m sistem[,...], --systems=sistem[,...]
    Dacă acest sistem are acces la ierarhiile de manual ale altor sisteme de operare, această opțiune poate fi utilizată pentru a le include în ieșirea lui manpath. Pentru a include ierarhiile de pagini de manual ale Noului_SO, utilizați opțiunea -m Nou_SO.

    sistem(ul) specificat poate fi o combinație de nume de sistem de operare delimitate prin virgulă. Pentru a include ierarhiile de pagini de manual ale sistemului de operare nativ, numele sistemului man trebuie să fie inclus în șirul argumentului. Această opțiune va suprascrie variabila de mediu $SYSTEM.

-C fișier, --config-file=fișier
    Utilizează acest fișier de configurare al utilizatorului, mai degrabă decât cel implicit din ~/.manpath.

-?, --help
    Imprimă un mesaj de ajutor și iese.

--usage
    Imprimă un mesaj scurt de utilizare și iese.

-V, --version
    Afișează informații despre versiune.

MEDIU

MANPATH
    Dacă $MANPATH este stabilită, manpath îi afișează valoarea în loc să o determine din mers.

    Consultați secțiunea RUTA DE CĂUTARE din manpath(5) pentru comportamentul implicit și detalii despre modul în care este gestionată această variabilă de mediu.

SYSTEM
    Dacă variabila $SYSTEM este definită, aceasta va avea același efect ca și cum ar fi fost specificată ca argument la opțiunea -m.

FIȘIERE

/etc/manpath.config
    fișier de configurare man-db.

CONSULTAȚI ȘI
apropos(1), man(1), whatis(1)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

ERORI
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db